REM     
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2002
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM        
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM        
REM       
@echo off
call C:\EELabFiles50\setupVARs.bat
title Loading database - Create and Populate database BankData

rem invoke db2 command line and run loadDataBase script

rem parameters are:
rem                1=db2 userid 
rem                2=db2 password
rem                3=Table.ddl file

cls
echo.
echo ****************************************************************
echo  ***************************** ********************************
echo   ***************************   ******************************
echo    *************************     ****************************
echo     ***********************       **************************
echo      *********************         ************************
echo       *******************           **********************
echo.
echo          About to drop the tables ACCOUNT and CUSTOMER
echo                in the database called BankData!
echo.
echo    	  Hit Ctrl-C now to abort this action
echo               if you do not wish this to happen.
echo.
echo       *******************           **********************
echo      *********************         ************************
echo     ***********************       **************************
echo    *************************     ****************************
echo   ***************************   ******************************
echo  ***************************** ********************************
echo ****************************************************************

pause

db2start

call C:\EElabfiles50\CreateBankData.bat %1 %2 %3 > BankDataLoadDB.log 2>&1
if errorlevel 1 goto LoadFailed

echo.
echo BankData database has been created and loaded
goto exit

:LoadFailed
cls
echo. 
echo.
echo Warning: the BankData database for this Lab has experienced a problem
echo Try looking at the BankDataLoadDB.log file in the \logs subdirectory 
echo.
echo.
echo.
echo Parameters are: 
echo                1=Db2 userid
echo                2=DB2 password
echo                3=Table.ddl file
pause

:exit
rem @popd
title Command Prompt